using BBM.ChatGLM.PromptWordType.Aggregates;
using Volo.Abp.Domain.Repositories;

namespace BBM.ChatGLM.PromptWordType.Repositorys
{
    public interface IPromptWordTypeRepository : IBasicRepository<PromptWordTypes, Guid>
    {
        Task<PromptWordTypes> UpdateAsync(PromptWordTypes entity);
        Task<List<PromptWordTypes>> PageAsync(string filter, int pageSize, int pageIndex, Guid? tenantId);
        Task<long> CountAsync(string filter, Guid? tenantId);
        Task<int> DeleteAsync(Guid id);
    }
}
